# SplDoublyLinkedList::add

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

SplDoublyLinkedList::add — Añadir/insertar un nuevo valor en el índice especificado

### Descripción

public SplDoublyLinkedList::add(int `$index`, mixed `$value`): void

Inserta el valor dado por `value` en el índice especificado por `index`, reorganizando el valor anterior a ese índice (y todos los valores subsiguientes) a través de la lista.

### Parámetros

`index`

  El índice donde insertar el nuevo valor.

`value`

  El nuevo valor para `index`.

### Valores devueltos

No devuelve ningún valor.

### Errores/Excepciones

Lanza una OutOfRangeException cuando `index` está fuera de los límites o cuando `index` no puede ser analizado como un integer.